SANKAR39
Contributor
Contributor

With 6.7 SDK, plugin-seed-0.9.8 fails to build with error saying playerglobal.swc not found

We made progress in 6.5 HTML5 plugin development with the help of seed project “plugin-seed-0.9.8”. We are trying to deploy this plugin in 6.7 HTML5 SDK setup but the build has failed saying 'setup is incomplete'  - “cannot find file  11.5/playerglobal.swc”.

Looks like plugin-seed-0.9.8 is not compatible with 6.7 SDK. Is there a new seed-plugin available for 6.7?  Or is it advisable to fix these the issues and continue using plugin-seed-0.9.8?

Did anyone face similar issue?

0 Kudos
2 Replies
laurentsd
VMware Employee
VMware Employee

hi Sankar,

This error in the plugin-seed build script is because SDK 6.7 doesn't support building a plugin compatible with the Flex client.  It's easy to remove those checks and Flex dependencies in the scripts if you want to continue.

We're in the process of updating the plugin-seed tool for SDK 6.7.  If you're just starting a new plugin project with the new 6.7 Javascript APIs I recommend to follow the SDK Html sample for now.  The new version of plugin-seed should be available next month.

--Laurent

0 Kudos
SANKAR39
Contributor
Contributor

Hi Laurent,

Thanks a lot for the update. We will probably be waiting for the updated plugin-seed to be available next month.

Thanks,

Sankar

0 Kudos